Package com.sun.jna.platform.win32.COM

## Class Wbemcli.IWbemServices

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.Wbemcli.IWbemServices

- All Implemented Interfaces:
    `NativeMapped`, `IUnknown`
  Enclosing interface:
    Wbemcli

      public static class Wbemcli.IWbemServices
      extends Unknown

  Used by clients and providers to access WMI services. The interface is implemented by WMI and WMI providers, and is the primary WMI interface.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

      `Unknown.ByReference`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IWbemServices()` |
    `IWbemServices​(Pointer pvInstance)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WinNT.HRESULT` | `ExecQuery​(WTypes.BSTR strQueryLanguage, WTypes.BSTR strQuery, int lFlags, Wbemcli.IWbemContext pCtx, PointerByReference ppEnum)` |
    `Wbemcli.IEnumWbemClassObject` | `ExecQuery​(java.lang.String strQueryLanguage, java.lang.String strQuery, int lFlags, Wbemcli.IWbemContext pCtx)` |

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

      `AddRef, QueryInterface, Release`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

      `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IWbemServices

          public IWbemServices()

    - #### IWbemServices

          public IWbemServices​(Pointer pvInstance)

  - ### Method Detail

    - #### ExecQuery

          public WinNT.HRESULT ExecQuery​(WTypes.BSTR strQueryLanguage,
                                         WTypes.BSTR strQuery,
                                         int lFlags,
                                         Wbemcli.IWbemContext pCtx,
                                         PointerByReference ppEnum)

    - #### ExecQuery

          public Wbemcli.IEnumWbemClassObject ExecQuery​(java.lang.String strQueryLanguage,
                                                        java.lang.String strQuery,
                                                        int lFlags,
                                                        Wbemcli.IWbemContext pCtx)